<div id="footer" class="footer">
    <p class="quotation-information" *ngIf="isQuotation">
        <span class="quotation-validity-label">Validité du devis :</span>
        <span [ngClass]="{'editable': isEdit, 'quotation-validity-text': true}" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('validityMessage', $event);">
            {{ document.validityMessage }}
        </span>
        
        <span class="quotation-payment-method-label">Mode de réglement :</span>
        <span [ngClass]="{'editable': isEdit, 'quotation-payment-method-text': true}" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('paymentMethod', $event);">
            {{ document.paymentMethod }}
        </span>

        <span class="quotation-conditions-label">Conditions :</span>
        <span [ngClass]="{'editable': isEdit, 'quotation-conditions-text': true}" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('conditions', $event);">
            {{ document.conditions }}
        </span>
    </p>

    <div [ngClass]="{'signature-insert' : isQuotation}">
        <p *ngIf="isQuotation">Bon pour accord,</p>
        <p *ngIf="isInvoice">En votre aimable règlement,</p>
        <p *ngIf="isQuotation">Le client,</p>
        <p>
            {{ document.companyName }},
            <br/>{{ document.author }},
        </p>
    </div>

    <p class="bank-information">
        <span class="bank-information-label">Coordonnées bancaires :</span>
        <span [ngClass]="{'editable': isEdit, 'bank-information-text': true}" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('companyBankDetails', $event);">
            {{ document.companyBankDetails }}
        </span>
    </p>

    <p [ngClass]="{'editable': isEdit, 'other-company-information': true}" 
        [attr.contenteditable]="isEdit"
        (focusout)="onChangeContent('companyInformation', $event);">
        {{ document.companyInformation }}
    </p>
</div>